<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="net.ferrum.business.mapper.QsSpecAttributeTypesMapper">

    <resultMap type="net.ferrum.business.domain.QsSpecAttributeTypes" id="QsSpecAttributeTypesResult">
        <result property="typeId" column="type_id"/>
        <result property="typeName" column="type_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
        <result property="delFlag" column="del_flag"/>

        <collection property="specValues" javaType="java.util.List" resultMap="SpecValusResult"/>

    </resultMap>


    <resultMap id="SpecValusResult" type="net.ferrum.business.domain.QsSpecAttributeValues">
        <id property="typeId" column="type_id"/>
        <result property="valueId" column="value_id"/>
        <result property="value" column="value"/>
    </resultMap>


    <select id="selectSpecAttributeTypesList" resultMap="QsSpecAttributeTypesResult">
        select * from qs_spec_attribute_types ${ew.getCustomSqlSegment}
    </select>


</mapper>
